2

Good evening! I'm going through the Free Code Camp Solidity/Blockchain tutorial and for the life of me, I cannot get Brownie to install properly.

When I try and install through pipx I get the following errors:

PIP STDOUT
----------
Collecting eth-brownie
  Using cached eth_brownie-1.17.1-py3-none-any.whl (221 kB)
Collecting six==1.16.0
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting inflection==0.5.0
  Using cached inflection-0.5.0-py2.py3-none-any.whl (5.8 kB)
Collecting parsimonious==0.8.1
  Using cached parsimonious-0.8.1-py3-none-any.whl
Collecting web3==5.24.0
  Using cached web3-5.24.0-py3-none-any.whl (487 kB)
Collecting websockets==9.1
  Using cached websockets-9.1-cp310-cp310-win_amd64.whl
Collecting eth-hash[pycryptodome]==0.3.2
  Using cached eth_hash-0.3.2-py3-none-any.whl (8.8 kB)
Collecting rlp==2.0.1
  Using cached rlp-2.0.1-py2.py3-none-any.whl (20 kB)
Collecting eth-keyfile==0.5.1
  Using cached eth_keyfile-0.5.1-py3-none-any.whl (8.3 kB)
Collecting pluggy==1.0.0
  Using cached pluggy-1.0.0-py2.py3-none-any.whl (13 kB)
Collecting black==21.9b0
  Using cached black-21.9b0-py3-none-any.whl (148 kB)
Collecting varint==1.0.2
  Using cached varint-1.0.2-py3-none-any.whl
Collecting mythx-models==1.9.1
  Using cached mythx_models-1.9.1-py2.py3-none-any.whl (82 kB)
Collecting charset-normalizer==2.0.7
  Using cached charset_normalizer-2.0.7-py3-none-any.whl (38 kB)
Collecting attrs==21.2.0
  Using cached attrs-21.2.0-py2.py3-none-any.whl (53 kB)
Collecting click==8.0.3
  Using cached click-8.0.3-py3-none-any.whl (97 kB)
Collecting base58==2.1.0
  Using cached base58-2.1.0-py3-none-any.whl (5.6 kB)
Collecting platformdirs==2.4.0
  Using cached platformdirs-2.4.0-py3-none-any.whl (14 kB)
Collecting wcwidth==0.2.5
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Collecting pyyaml==5.4.1
  Using cached PyYAML-5.4.1-cp310-cp310-win_amd64.whl
Collecting pytest-xdist==1.34.0
  Using cached pytest_xdist-1.34.0-py2.py3-none-any.whl (36 kB)
Collecting asttokens==2.0.4
  Using cached asttokens-2.0.4-py2.py3-none-any.whl (20 kB)
Collecting pygments-lexer-solidity==0.7.0
  Using cached pygments_lexer_solidity-0.7.0-py3-none-any.whl
Collecting eth-utils==1.10.0
  Using cached eth_utils-1.10.0-py3-none-any.whl (24 kB)
Collecting ipfshttpclient==0.8.0a2
  Using cached ipfshttpclient-0.8.0a2-py3-none-any.whl (82 kB)
Collecting multiaddr==0.0.9
  Using cached multiaddr-0.0.9-py2.py3-none-any.whl (16 kB)
Collecting hypothesis==6.24.0
  Using cached hypothesis-6.24.0-py3-none-any.whl (381 kB)
Collecting vvm==0.1.0
  Using cached vvm-0.1.0-py3-none-any.whl (11 kB)
Collecting prompt-toolkit==3.0.21
  Using cached prompt_toolkit-3.0.21-py3-none-any.whl (374 kB)
Collecting typing-extensions==3.10.0.2
  Using cached typing_extensions-3.10.0.2-py3-none-any.whl (26 kB)
Collecting certifi==2021.10.8
  Using cached certifi-2021.10.8-py2.py3-none-any.whl (149 kB)
Collecting urllib3==1.26.7
  Using cached urllib3-1.26.7-py2.py3-none-any.whl (138 kB)
Collecting aiohttp==3.7.4.post0
  Using cached aiohttp-3.7.4.post0-py3-none-any.whl
Collecting py-solc-ast==1.2.9
  Using cached py_solc_ast-1.2.9-py3-none-any.whl (10 kB)
Collecting pyjwt==1.7.1
  Using cached PyJWT-1.7.1-py2.py3-none-any.whl (18 kB)
Collecting pythx==1.6.1
  Using cached pythx-1.6.1-py2.py3-none-any.whl (39 kB)
Collecting netaddr==0.8.0
  Using cached netaddr-0.8.0-py2.py3-none-any.whl (1.9 MB)
Collecting tqdm==4.62.3
  Using cached tqdm-4.62.3-py2.py3-none-any.whl (76 kB)
Collecting pyparsing==3.0.3
  Using cached pyparsing-3.0.3-py3-none-any.whl (96 kB)
Collecting psutil==5.8.0
  Using cached psutil-5.8.0-cp310-cp310-win_amd64.whl
Collecting pathspec==0.9.0
  Using cached pathspec-0.9.0-py2.py3-none-any.whl (31 kB)
Collecting eth-account==0.5.6
  Using cached eth_account-0.5.6-py3-none-any.whl (101 kB)
Collecting lru-dict==1.1.7
  Using cached lru_dict-1.1.7-cp310-cp310-win_amd64.whl
Collecting toml==0.10.2
  Using cached toml-0.10.2-py2.py3-none-any.whl (16 kB)
Collecting pygments==2.10.0
  Using cached Pygments-2.10.0-py3-none-any.whl (1.0 MB)
Collecting pytest==6.2.5
  Using cached pytest-6.2.5-py3-none-any.whl (280 kB)
Collecting toolz==0.11.1
  Using cached toolz-0.11.1-py3-none-any.whl (55 kB)
Collecting dataclassy==0.11.1
  Using cached dataclassy-0.11.1-py3-none-any.whl (23 kB)
Collecting async-timeout==3.0.1
  Using cached async_timeout-3.0.1-py3-none-any.whl (8.2 kB)
Collecting hexbytes==0.2.2
  Using cached hexbytes-0.2.2-py3-none-any.whl (6.1 kB)
Collecting regex==2021.10.23
  Using cached regex-2021.10.23-cp310-cp310-win_amd64.whl (273 kB)
Collecting eth-rlp==0.2.1
  Using cached eth_rlp-0.2.1-py3-none-any.whl (5.0 kB)
Collecting eth-abi==2.1.1
  Using cached eth_abi-2.1.1-py3-none-any.whl (27 kB)
Collecting eth-brownie
  Using cached eth_brownie-1.17.0-py3-none-any.whl (221 kB)
Collecting hypothesis==6.23.2
  Using cached hypothesis-6.23.2-py3-none-any.whl (381 kB)
Collecting pyparsing==2.4.7
  Using cached pyparsing-2.4.7-py2.py3-none-any.whl (67 kB)
Collecting dataclassy==0.11.0
  Using cached dataclassy-0.11.0-py3-none-any.whl (23 kB)
Collecting protobuf==3.18.1
  Using cached protobuf-3.18.1-py2.py3-none-any.whl (174 kB)
Collecting eth-brownie
  Using cached eth_brownie-1.16.4-py3-none-any.whl (219 kB)
Collecting charset-normalizer==2.0.6
  Using cached charset_normalizer-2.0.6-py3-none-any.whl (37 kB)
Collecting yarl==1.6.3
  Using cached yarl-1.6.3-cp310-cp310-win_amd64.whl
Collecting dataclassy==0.10.4
  Using cached dataclassy-0.10.4-py3-none-any.whl (23 kB)
Collecting eth-account==0.5.5
  Using cached eth_account-0.5.5-py3-none-any.whl (100 kB)
Collecting urllib3==1.26.6
  Using cached urllib3-1.26.6-py2.py3-none-any.whl (138 kB)
Collecting multidict==5.1.0
  Using cached multidict-5.1.0-cp310-cp310-win_amd64.whl
Collecting platformdirs==2.3.0
  Using cached platformdirs-2.3.0-py3-none-any.whl (13 kB)
Collecting web3==5.23.1
  Using cached web3-5.23.1-py3-none-any.whl (486 kB)
Collecting certifi==2021.5.30
  Using cached certifi-2021.5.30-py2.py3-none-any.whl (145 kB)
Collecting vyper==0.2.16
  Using cached vyper-0.2.16-py3-none-any.whl (236 kB)
Collecting wrapt==1.12.1
  Using cached wrapt-1.12.1-cp310-cp310-win_amd64.whl
Collecting packaging==21.0
  Using cached packaging-21.0-py3-none-any.whl (40 kB)
Collecting py-solc-x==1.1.0
  Using cached py_solc_x-1.1.0-py3-none-any.whl (15 kB)
Collecting iniconfig==1.1.1
  Using cached iniconfig-1.1.1-py2.py3-none-any.whl (5.0 kB)
Collecting pyrsistent==0.18.0
  Using cached pyrsistent-0.18.0-cp310-cp310-win_amd64.whl
Collecting hypothesis==6.21.6
  Using cached hypothesis-6.21.6-py3-none-any.whl (381 kB)
Collecting cytoolz==0.11.0
  Using cached cytoolz-0.11.0.tar.gz (477 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting idna==3.2
  Using cached idna-3.2-py3-none-any.whl (59 kB)
Collecting jsonschema==3.2.0
  Using cached jsonschema-3.2.0-py2.py3-none-any.whl (56 kB)
Collecting eip712==0.1.0
  Using cached eip712-0.1.0-py3-none-any.whl (13 kB)
Collecting click==8.0.1
  Using cached click-8.0.1-py3-none-any.whl (97 kB)
Collecting chardet==4.0.0
  Using cached chardet-4.0.0-py2.py3-none-any.whl (178 kB)
Collecting eth-typing==2.2.2
  Using cached eth_typing-2.2.2-py3-none-any.whl (6.2 kB)
Collecting protobuf==3.18.0
  Using cached protobuf-3.18.0-py2.py3-none-any.whl (174 kB)
Collecting py==1.10.0
  Using cached py-1.10.0-py2.py3-none-any.whl (97 kB)
Collecting pytest-forked==1.3.0
  Using cached pytest_forked-1.3.0-py2.py3-none-any.whl (4.7 kB)
Collecting python-dotenv==0.16.0
  Using cached python_dotenv-0.16.0-py2.py3-none-any.whl (18 kB)
Collecting eth-keys==0.3.3
  Using cached eth_keys-0.3.3-py3-none-any.whl (20 kB)
Collecting execnet==1.9.0
  Using cached execnet-1.9.0-py2.py3-none-any.whl (39 kB)
Collecting lazy-object-proxy==1.6.0
  Using cached lazy_object_proxy-1.6.0-cp310-cp310-win_amd64.whl
Collecting pycryptodome==3.10.1
  Using cached pycryptodome-3.10.1-cp35-abi3-win_amd64.whl (1.6 MB)
Collecting sortedcontainers==2.4.0
  Using cached sortedcontainers-2.4.0-py2.py3-none-any.whl (29 kB)
Collecting bitarray==1.2.2
  Using cached bitarray-1.2.2-cp310-cp310-win_amd64.whl
Collecting semantic-version==2.8.5
  Using cached semantic_version-2.8.5-py2.py3-none-any.whl (15 kB)
Collecting prompt-toolkit==3.0.20
  Using cached prompt_toolkit-3.0.20-py3-none-any.whl (370 kB)
Collecting tomli==1.2.1
  Using cached tomli-1.2.1-py3-none-any.whl (11 kB)
Collecting mypy-extensions==0.4.3
  Using cached mypy_extensions-0.4.3-py2.py3-none-any.whl (4.5 kB)
Collecting rlp==1.2.0
  Using cached rlp-1.2.0-py2.py3-none-any.whl (19 kB)
Collecting regex==2021.8.28
  Using cached regex-2021.8.28-cp310-cp310-win_amd64.whl (271 kB)
Collecting python-dateutil==2.8.1
  Using cached python_dateutil-2.8.1-py2.py3-none-any.whl (227 kB)
Collecting eth-event==1.2.3
  Using cached eth_event-1.2.3-py3-none-any.whl (7.3 kB)
Collecting requests==2.26.0
  Using cached requests-2.26.0-py2.py3-none-any.whl (62 kB)
Collecting colorama
  Using cached colorama-0.4.4-py2.py3-none-any.whl (16 kB)
Requirement already satisfied: setuptools in c:\users\karee\.local\pipx\shared\lib\site-packages (from jsonschema==3.2.0->eth-brownie) (59.0.1)
Collecting atomicwrites>=1.0
  Using cached atomicwrites-1.4.0-py2.py3-none-any.whl (6.8 kB)
Collecting pywin32>=223
  Using cached pywin32-302-cp310-cp310-win_amd64.whl (9.2 MB)
Building wheels for collected packages: cytoolz
  Building wheel for cytoolz (setup.py): started
  Building wheel for cytoolz (setup.py): finished with status 'error'
  Running setup.py clean for cytoolz
Failed to build cytoolz
Installing collected packages: toolz, eth-typing, eth-hash, cytoolz, six, pyparsing, eth-utils, varint, urllib3, toml, rlp, pyrsistent, pycryptodome, py, pluggy, parsimonious, packaging, netaddr, multidict, iniconfig, idna, hexbytes, eth-keys, colorama, charset-normalizer, certifi, base58, attrs, atomicwrites, yarl, typing-extensions, requests, python-dateutil, pytest, multiaddr, jsonschema, inflection, eth-rlp, eth-keyfile, eth-abi, chardet, bitarray, async-timeout, websockets, wcwidth, tomli, sortedcontainers, semantic-version, regex, pywin32, pytest-forked, pyjwt, pygments, protobuf, platformdirs, pathspec, mythx-models, mypy-extensions, lru-dict, ipfshttpclient, execnet, eth-account, dataclassy, click, asttokens, aiohttp, wrapt, web3, vyper, vvm, tqdm, pyyaml, pythx, python-dotenv, pytest-xdist, pygments-lexer-solidity, py-solc-x, py-solc-ast, psutil, prompt-toolkit, lazy-object-proxy, hypothesis, eth-event, eip712, black, eth-brownie
    Running setup.py install for cytoolz: started
    Running setup.py install for cytoolz: finished with status 'error'

PIP STDERR
----------
WARNING: The candidate selected for download or install is a yanked version: 'protobuf' candidate (version 3.18.0 at https://files.pythonhosted.org/packages/74/4e/9f3cb458266ef5cdeaa1e72a90b9eda100e3d1803cbd7ec02f0846da83c3/protobuf-3.18.0-py2.py3-none-any.whl#sha256=615099e52e9fbc9fde00177267a94ca820ecf4e80093e390753568b7d8cb3c1a (from https://pypi.org/simple/protobuf/))
Reason for being yanked: This version claims to support Python 2 but does not
  ERROR: Command errored out with exit status 1:
   command: 'C:\Users\karee\.local\pipx\venvs\eth-brownie\Scripts\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\karee\\AppData\\Local\\Temp\\pip-install-1icshb0q\\cytoolz_b302ec9711b74f94b21a1602a932dfb9\\setup.py'"'"'; __file__='"'"'C:\\Users\\karee\\AppData\\Local\\Temp\\pip-install-1icshb0q\\cytoolz_b302ec9711b74f94b21a1602a932dfb9\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d 'C:\Users\karee\AppData\Local\Temp\pip-wheel-56ye5rnx'
       cwd: C:\Users\karee\AppData\Local\Temp\pip-install-1icshb0q\cytoolz_b302ec9711b74f94b21a1602a932dfb9\
  Complete output (50 lines):
  ALERT: Cython not installed.  Building without Cython.
  running bdist_wheel
  running build
  running build_py
  creating build
  creating build\lib.win-amd64-3.10
  creating build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\compatibility.py -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\utils_test.py -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\_signatures.py -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\_version.py -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\__init__.py -> build\lib.win-amd64-3.10\cytoolz
  creating build\lib.win-amd64-3.10\cytoolz\curried
  copying cytoolz\curried\exceptions.py -> build\lib.win-amd64-3.10\cytoolz\curried
  copying cytoolz\curried\operator.py -> build\lib.win-amd64-3.10\cytoolz\curried
  copying cytoolz\curried\__init__.py -> build\lib.win-amd64-3.10\cytoolz\curried
  copying cytoolz\dicttoolz.pyx -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\functoolz.pyx -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\itertoolz.pyx -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\recipes.pyx -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\utils.pyx -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\cpython.pxd -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\dicttoolz.pxd -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\functoolz.pxd -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\itertoolz.pxd -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\recipes.pxd -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\utils.pxd -> build\lib.win-amd64-3.10\cytoolz
  copying cytoolz\__init__.pxd -> build\lib.win-amd64-3.10\cytoolz
  creating build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\dev_skip_test.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_compatibility.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_curried.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_curried_toolzlike.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_dev_skip_test.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_dicttoolz.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_docstrings.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_doctests.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_embedded_sigs.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_functoolz.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_inspect_args.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_itertoolz.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_none_safe.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_recipes.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_serialization.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_signatures.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_tlz.py -> build\lib.win-amd64-3.10\cytoolz\tests
  copying cytoolz\tests\test_utils.py -> build\lib.win-amd64-3.10\cytoolz\tests
  running build_ext
  building 'cytoolz.dicttoolz' extension
  error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
  ----------------------------------------
  ERROR: Failed building wheel for cytoolz
    ERROR: Command errored out with exit status 1:
     command: 'C:\Users\karee\.local\pipx\venvs\eth-brownie\Scripts\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\karee\\AppData\\Local\\Temp\\pip-install-1icshb0q\\cytoolz_b302ec9711b74f94b21a1602a932dfb9\\setup.py'"'"'; __file__='"'"'C:\\Users\\karee\\AppData\\Local\\Temp\\pip-install-1icshb0q\\cytoolz_b302ec9711b74f94b21a1602a932dfb9\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\karee\AppData\Local\Temp\pip-record-3z8v36gn\install-record.txt' --single-version-externally-managed --compile --install-headers 'C:\Users\karee\.local\pipx\venvs\eth-brownie\include\site\python3.10\cytoolz'
         cwd: C:\Users\karee\AppData\Local\Temp\pip-install-1icshb0q\cytoolz_b302ec9711b74f94b21a1602a932dfb9\
    Complete output (52 lines):
    ALERT: Cython not installed.  Building without Cython.
    running install
    C:\Users\karee\.local\pipx\shared\Lib\site-packages\setuptools\command\install.py:34: SetuptoolsDeprecationWarning: setup.py install is deprecated. Use build and pip and other standards-based tools.
      warnings.warn(
    running build
    running build_py
    creating build
    creating build\lib.win-amd64-3.10
    creating build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\compatibility.py -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\utils_test.py -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\_signatures.py -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\_version.py -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\__init__.py -> build\lib.win-amd64-3.10\cytoolz
    creating build\lib.win-amd64-3.10\cytoolz\curried
    copying cytoolz\curried\exceptions.py -> build\lib.win-amd64-3.10\cytoolz\curried
    copying cytoolz\curried\operator.py -> build\lib.win-amd64-3.10\cytoolz\curried
    copying cytoolz\curried\__init__.py -> build\lib.win-amd64-3.10\cytoolz\curried
    copying cytoolz\dicttoolz.pyx -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\functoolz.pyx -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\itertoolz.pyx -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\recipes.pyx -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\utils.pyx -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\cpython.pxd -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\dicttoolz.pxd -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\functoolz.pxd -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\itertoolz.pxd -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\recipes.pxd -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\utils.pxd -> build\lib.win-amd64-3.10\cytoolz
    copying cytoolz\__init__.pxd -> build\lib.win-amd64-3.10\cytoolz
    creating build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\dev_skip_test.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_compatibility.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_curried.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_curried_toolzlike.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_dev_skip_test.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_dicttoolz.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_docstrings.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_doctests.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_embedded_sigs.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_functoolz.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_inspect_args.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_itertoolz.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_none_safe.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_recipes.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_serialization.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_signatures.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_tlz.py -> build\lib.win-amd64-3.10\cytoolz\tests
    copying cytoolz\tests\test_utils.py -> build\lib.win-amd64-3.10\cytoolz\tests
    running build_ext
    building 'cytoolz.dicttoolz' extension
    error: Microsoft Visual C++ 14.0 or greater is required. Get it with "Microsoft C++ Build Tools": https://visualstudio.microsoft.com/visual-cpp-build-tools/
    ----------------------------------------
ERROR: Command errored out with exit status 1: 'C:\Users\karee\.local\pipx\venvs\eth-brownie\Scripts\python.exe' -u -c 'import io, os, sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\karee\\AppData\\Local\\Temp\\pip-install-1icshb0q\\cytoolz_b302ec9711b74f94b21a1602a932dfb9\\setup.py'"'"'; __file__='"'"'C:\\Users\\karee\\AppData\\Local\\Temp\\pip-install-1icshb0q\\cytoolz_b302ec9711b74f94b21a1602a932dfb9\\setup.py'"'"';f = getattr(tokenize, '"'"'open'"'"', open)(__file__) if os.path.exists(__file__) else io.StringIO('"'"'from setuptools import setup; setup()'"'"');code = f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record 'C:\Users\karee\AppData\Local\Temp\pip-record-3z8v36gn\install-record.txt' --single-version-externally-managed --compile --install-headers 'C:\Users\karee\.local\pipx\venvs\eth-brownie\include\site\python3.10\cytoolz' Check the logs for full command output.

When I try pip installing, the installation works, but when I type brownie in the command line (i'm using VSC), the term brownie is not recognized.

Thing's I have already done:

  1. Installed the necessary Visual Studios Build tools enter image description here

2. Used pyenv to run python 3.9.5 because I read on another help thread that there is an issue with cython/cytoolz and python 3.10, which is what I had installed.

I am very new to coding. Really appreciate the help! I just want to be able to use these tools so I can learn more and progress in the tutorial. Thank you all for your support!

1 Answer 1

2

Okay, so I was able to fix this by deleting all versions of python on my computer, reinstalling 3.9.5, deleting all environmental variable PATH references to 3.10 (which I had previously installed). I also had to uninstall `pyenv'.

After doing all of that, I got a new error when trying to pipx install eth-brownie. Here is a link to that conversation incase someone else runs into that issue as well.

Brownie Install ERROR! Please Help

After about 8 hours of digging, I'm finally able to proceed with the tutorial.

In the course of trying to fix this, I tried ALOT of solutions that I found here and on other websites. Being new, I didn't really understand what I was doing, and ended up creating more issues for myself.

Good luck and happy coding!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.